desc 'Build spec(s) with normal output'
RSpec::Core::RakeTask.new(:normal) do |t|
  t.pattern = '**/*_spec.rb'
end

desc 'build spec(s) with doc output'
RSpec::Core::RakeTask.new(:documentation) do |t|
  t.rspec_opts = "--format documentation"
  t.pattern = '**/*_spec.rb'
end

desc 'build spec(s) with junit output'
RSpec::Core::RakeTask.new(:junit) do |t|

  d = DateTime.now
  newTarget = d.strftime("%Y%m%dT%H%M%S")

  Dir.mkdir 'reports' unless File.exists?('reports')

  t.rspec_opts = "--format RspecTestlinkJunitformatter -r rspec_testlink_formatters --out reports/SPEC#{newTarget}-out.xml"
  t.pattern = '**/*_spec.rb'
end

