namespace :testplan do

  desc 'run all cases in plan separately by testplan name, format documentation'
  task :run_separate_doc,[:testplan] do |t, args|
    Testplan::Build::plan_in_format args[:testplan].to_sym, :documentation, false
  end

  desc 'run all cases in plan at once by testplan name, format documentation'
  task :run_all_doc,[:testplan] do |t, args|
    Testplan::Build::plan_in_format args[:testplan].to_sym, :documentation, true
  end

  desc 'run all cases in plan separately by testplan name, format junit'
  task :run_separate_junit,[:testplan] do |t, args|
    Testplan::Build::plan_in_format args[:testplan].to_sym, :junit, false
  end

  desc 'run all cases in plan at once by testplan name, format junit'
  task :run_all_junit,[:testplan] do |t, args|
    Testplan::Build::plan_in_format args[:testplan].to_sym, :junit, true
  end

  desc 'run all cases from all platforms in plan at once by testplan name, format documentation'
  task :run_plan,[:testplan] do |t, args|
    Testplan::Build::plan_in_format args[:testplan].to_sym, :documentation, true
  end

  desc 'run all cases from platform at once by platform name, format documentation'
  task :run_platform,[:platform] do |t, args|
    Testplan::Build::platform_in_format args[:testplan].to_sym, :documentation, true
  end


end

